import * as React from 'react';
import { QueryPanelOpts, Field, Btn } from './interface';
export default class extends React.PureComponent<QueryPanelOpts> {
    query: any;
    componentDidMount(): void;
    checkbox(field: Field): JSX.Element;
    radio(field: Field): JSX.Element;
    select(field: Field): JSX.Element;
    multiselect(field: Field): JSX.Element;
    treeselect(field: Field): JSX.Element;
    text(field: Field): JSX.Element;
    number(field: Field): JSX.Element;
    timerange(field: Field): JSX.Element;
    daterange(field: Field): JSX.Element;
    month(field: Field): JSX.Element;
    autocomplete(field: Field): JSX.Element;
    setValue(field: Field, value: any): void;
    renderItem(field: Field): JSX.Element;
    renderField(field: Field): JSX.Element;
    renderButton(btn: Btn): JSX.Element;
    renderRow(row: (Btn | Field)[], rowHeight?: number): JSX.Element;
    render(): JSX.Element;
}
